HMWJTextInternal Namespace Reference

Internal: the structures of a HMWJText. More...

## Classes

struct | PLC
| Internal and low level: the PLC different types and their structures of a HMWJText. More...
struct | Token
| Internal: class to store a token of a HMWJText. More...
struct | Section
| Internal: class to store a section of a HMWJText. More...
struct | TextZone
| Internal: a struct used to store a text zone. More...
struct | Paragraph
| Internal: class to store the paragraph properties of a HMWJText. More...
struct | State
| Internal: the state of a HMWJText. More...
class | SubDocument
| Internal: the subdocument of a HMWJText. More...

## Enumerations

enum | PLCType { CHAR =0, RULER, LINE, TOKEN, Unknown }
| different PLC types More...

## Detailed Description

Internal: the structures of a HMWJText.

## Enumeration Type Documentation

enum HMWJTextInternal::PLCType

different PLC types

Enumerator
CHAR |
RULER |
LINE |
TOKEN |
Unknown |